/*
* PyUpnpBrowser
* Copyright (C) 2008 Instituto Nokia de Tecnologia
* Author: Renato Chencarek <renato.chencarek@openbossa.org>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* Additional permission under GNU GPL version 3 section 7
*
* If you modify this Program, or any covered work, by linking or combining it
* with LibUPnPBrowser or Canola2 and its core components (or a modified
* version of any of those), containing parts covered by the terms of Instituto
* Nokia de Tecnologia End User Software Agreement, the licensors of this
* Program grant you additional permission to convey the resulting work.
*/

#include <Python.h>
#include "structmember.h"

#include <libupnpbrowser/upnp-browser.h>
#include <cybergarage/upnp/ccontrolpoint.h>

extern PyTypeObject ItemType;

typedef struct {
    PyObject_HEAD

    PyObject* type;
    PyObject* klass;
    PyObject* parent_id;

    PyObject* id;
    PyObject* title;
    PyObject* creator;
    PyObject* restricted;

    PyObject* info;

}Item;
